<?php
namespace Ep\Wp\View;

use Laminas\Stdlib\InitializableInterface;

/**
 * U WordPressu nemamo kome vratiti ono što izrendamo :/.
 *
 * @package Ep\Wp\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
interface ViewInterface extends InitializableInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function init(): void;

    /**
     * Renderira view.
     *
     * @return string
     */
    public function render(): string;

    /**
     * Ispisuje ovaj view.
     */
    public function output(): void;
}
